aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/test_files.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/test_files.sh b/tests/test_files.sh
index 16cb8619..812b2152 100755
--- a/tests/test_files.sh
+++ b/tests/test_files.sh
@@ -149,6 +149,17 @@ else
exit 1
fi
+# Test that --single-stream can decompress bad-3-corrupt_lzma2.xz.
+# The first Stream in this file should decompress without errors.
+# This file cannot be decompressed with xzdec.
+I="$srcdir/files/bad-3-corrupt_lzma2.xz"
+if test -z "$XZ" || "$XZ" -dc --single-stream $NO_WARN "$I" > /dev/null; then
+ :
+else
+ echo "Good first Stream failed xz with --single-stream: $I"
+ exit 1
+fi
+
#########
# .lzma #